export interface SelectMenuProps extends StyledComponent {
    menuItems: MenuItem[];
    onMenuItemClick: (menuItem: MenuItem) => void;
    hideMenu: () => void;
}
export interface MenuItem {
    label: string;
    selected?: boolean;
    value?: any;
}
export interface ErrorResponse {
    errors: ValidationError[];
}
export interface ValidationError {
    message: string;
    location?: string;
}
export interface StyledComponent {
    styles?: {
        [key: string]: string;
    };
}
