import { SelectMenuProps, StyledComponent } from '../common';
import { ComponentType } from 'react';
export interface DeviceSelectButtonComponents {
    SelectMenu?: ComponentType<SelectMenuProps>;
}
export interface DeviceSelectButtonProps extends StyledComponent {
    deviceKind: MediaDeviceKind;
    onDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void;
    disabled?: boolean;
    label?: string;
    components?: DeviceSelectButtonComponents;
}
