export declare const useJoinPage: (videoEnabledByDefault?: boolean, audioEnabledByDefault?: boolean) => {
    localMedia: {
        localAudioStream: import("@zocks-communications/client-sdk-js").LocalMediaStream | undefined;
        localVideoStream: import("@zocks-communications/client-sdk-js").LocalMediaStream | undefined;
        currentVirtualBackground: import("../../store").VirtualBackgroundItem | null;
        availableVirtualBackgrounds: import("../../store").VirtualBackgroundItem[] | null;
        virtualBackgroundStream: import("@zocks-communications/client-sdk-js").LocalMediaStream | undefined;
        currentAudioDeviceId: string | null;
        currentVideoDeviceId: string | null;
        toggleLocalAudioStream: () => void;
        toggleLocalVideoStream: () => void;
        changeVirtualBackground: (virtualBackgroundType: import("@zocks-communications/client-sdk-js").VirtualBackgroundType | null, deviceId?: string | undefined, config?: import("@zocks-communications/client-sdk-js").VirtualBackgroundConfig | undefined) => Promise<void>;
        stopLocalVirtualBackground: () => Promise<void>;
        selectAudioDevice: (audioDevice: MediaDeviceInfo) => void;
        selectVideoDevice: (videoDevice: MediaDeviceInfo) => void;
        localMediaJoinOptions: {
            audioDeviceSettings: {
                deviceId: string;
            } | undefined;
            videoDeviceSettings: {
                deviceId: string;
            } | undefined;
            virtualBackground: import("@zocks-communications/client-sdk-js").VirtualBackgroundType | null;
        };
    };
    afterJoinCleanUp: () => void;
};
